Recent

Author Topic: Fpcupdeluxe  (Read 839028 times)

TRon

  • Hero Member
  • *****
  • Posts: 2896
Re: Fpcupdeluxe
« Reply #2460 on: March 14, 2024, 05:39:23 am »
Indeed parcel, confirmed. Thank you very much.

Besides that, reverting to that commit also fixed my cross-compiler crashes.

BSaidus

  • Hero Member
  • *****
  • Posts: 565
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
Re: Fpcupdeluxe
« Reply #2461 on: March 14, 2024, 08:01:19 pm »
Use revision 277a3be9 for FPC trunk, it's lastest stable FPC trunk. i386-win32 implemention checksum problem is introduced by !594, it doesn't solve yet.
DEBUG_UNIT_CRC_CHANGES define on fpc compiling, you can observe details.

Thank you @parcel
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

calebs

  • Full Member
  • ***
  • Posts: 191
Re: Fpcupdeluxe
« Reply #2462 on: March 15, 2024, 08:02:10 pm »
hello! im using antix linux 21 32bits with fpcupdeluxe 2.4.0dp for linux 32bits gtk2.
Installed gitlabs fixes-3.2 and lazarus fixes and installed fine
then proceed to install some lazarus components (online package manager, printer4lazarus, and a few more and all installed well)
then proceed to install some packages with online pagkage manager and installed fine but had problems with 2
(very important for me)
first, zeos 7.2.14.0 (from repository) gives error at comile
ZAbstractRODataset.pas(5328,3) Error: Expected another 7 array elements.

and then Lnet with error
lcommon.pp(467,22) Error: Identifier not found "TZseconds"

There are new versions compatible somewhere? Or any patch for linux 32 bits? I must say that with linux 64 bits same zeosdbo is installed fine.

TRon

  • Hero Member
  • *****
  • Posts: 2896
Re: Fpcupdeluxe
« Reply #2463 on: March 16, 2024, 12:55:42 am »
...
then proceed to install some packages with online pagkage manager and installed fine but had problems with 2
(very important for me)
To make sure that I am understanding correctly.

The issue you face is not related to FPCUpDeluxe at all but were raised after FPCUpDeluxe installed Lazarus correctly ? E.g. from within the Lazarus IDE using Online Package Manager resulted in the issues that were mentioned when installing those two packages ?
« Last Edit: March 16, 2024, 12:57:42 am by TRon »

rossh_lz

  • New Member
  • *
  • Posts: 25
Re: Fpcupdeluxe
« Reply #2464 on: April 02, 2024, 12:20:15 pm »
Hi, Ubuntu 22.04, latest FPCUPdeluxe, stable FPC and Lazarus (3.2).  Build & install OK.

Then try to make the IDE rebuild with QT5:  fails with linking errors about a couple of missing function defs.   Same fail result with stable FPC and Laz 3.0.   But try stable FPC and Laz 2.26 - success.  Obviously the

Is this an issue from within FPCUPdeluxe and not downloading enough code initially?  Or a failure of Laz 3.x in general?

Or better still, can FPCUPdeluxe be configured to build / install with preferred widget set?

cdbc

  • Hero Member
  • *****
  • Posts: 1349
    • http://www.cdbc.dk
Re: Fpcupdeluxe
« Reply #2465 on: April 02, 2024, 12:33:15 pm »
Hi
Regarding:
Quote
Then try to make the IDE rebuild with QT5:  fails with linking errors about a couple of missing function defs.
I think your 'libqt5pas.so' is too old for the new lazarus'es.
You can build a new one yourself or download the latest from @dbannon's github site...
The sources are here:
Code: Bash  [Select][+][-]
  1. /home/YOU/fpcupdeluxedir/lazarus/lcl/interfaces/qt5/cbindings/
Github: https://github.com/davidbannon/libqt5pas/releases/tag/v1.2.15
HTH & Have Fun
Regards Benny
If it ain't broke, don't fix it ;)
PCLinuxOS(rolling release) 64bit -> KDE5 -> FPC 3.2.2 -> Lazarus 2.2.6 up until Jan 2024 from then on it's: KDE5/QT5 -> FPC 3.3.1 -> Lazarus 3.0

rossh_lz

  • New Member
  • *
  • Posts: 25
Re: Fpcupdeluxe
« Reply #2466 on: April 03, 2024, 11:18:54 am »
Quote
I think your 'libqt5pas.so' is too old for the new lazarus'es.
You can build a new one yourself or download the latest from @dbannon's github site...
Github: https://github.com/davidbannon/libqt5pas/releases/tag/v1.2.15
Yes, correct.  I installed the patches from above ( both basic and dev files).  Ubuntu needed some extra TLC to get the rest of the pas-dev packages with "sudo apt --fix-broken install".

I deleted the "/home/YOU/fpcupdeluxedir/lazarus" folder and then had PFCUPdeluxe reload the Lazarus only part, stable build version.  It picked up all the previous Laz config settings from 2.2.6, and I got a Laz binary with QT5 and all my added packages, on the install compile.  Thanks.

KodeZwerg

  • Hero Member
  • *****
  • Posts: 2269
  • Fifty shades of code.
    • Delphi & FreePascal
Re: Fpcupdeluxe
« Reply #2467 on: April 08, 2024, 04:02:03 pm »
Hello DonAlfredo!
I wanted to inform you about your latest version and when it start its looking strange, watch attachment.
The version before you used darkmode did not have that behaviour.
Amazing job you've done! I literal loving it!
« Last Edit: Tomorrow at 31:76:97 xm by KodeZwerg »

dseligo

  • Hero Member
  • *****
  • Posts: 1286
Re: Fpcupdeluxe
« Reply #2468 on: April 08, 2024, 08:52:22 pm »
Hello DonAlfredo!
I wanted to inform you about your latest version and when it start its looking strange, watch attachment.
The version before you used darkmode did not have that behaviour.
Amazing job you've done! I literal loving it!

Six minutes before your post someone said that it had never any problems with it.
Link: https://forum.lazarus.freepascal.org/index.php/topic,66801.msg513715.html#msg513715

NHF, both you and DonAlfredo, I just thought it is funny :)

fabiopesaju

  • Jr. Member
  • **
  • Posts: 96
Re: Fpcupdeluxe
« Reply #2469 on: April 27, 2024, 02:56:16 am »
hi. why exctrls isn't downloaded to lazarus/components/<exctrls> ?

dsiders

  • Hero Member
  • *****
  • Posts: 1179
Re: Fpcupdeluxe
« Reply #2470 on: April 27, 2024, 03:43:36 am »
hi. why exctrls isn't downloaded to lazarus/components/<exctrls> ?

extctrls.pp is part of the standard Lazarus installation and is located in the lcl/ directory.
Preview Lazarus 3.99 documentation at: https://dsiders.gitlab.io/lazdocsnext

fabiopesaju

  • Jr. Member
  • **
  • Posts: 96
Re: Fpcupdeluxe
« Reply #2471 on: April 27, 2024, 10:19:22 am »
hi. why exctrls isn't downloaded to lazarus/components/<exctrls> ?

extctrls.pp is part of the standard Lazarus installation and is located in the lcl/ directory.

Thanks for the answer, but how do I add the components to the palette?

dseligo

  • Hero Member
  • *****
  • Posts: 1286
Re: Fpcupdeluxe
« Reply #2472 on: April 27, 2024, 10:37:27 am »
hi. why exctrls isn't downloaded to lazarus/components/<exctrls> ?

Se here for installation: https://wiki.freepascal.org/ExCtrls

fabiopesaju

  • Jr. Member
  • **
  • Posts: 96
Re: Fpcupdeluxe
« Reply #2473 on: April 27, 2024, 12:16:30 pm »
hi. why exctrls isn't downloaded to lazarus/components/<exctrls> ?

Se here for installation: https://wiki.freepascal.org/ExCtrls

But that's exactly the reason for my question. This page indicates that exctrls is in the ccr folder, or together with lazarus in lazarus/components/exctrls. and the components do not appear by default in the components tab, they also do not appear to be installed in the "modules" tab of fpcupdeluxe, and they are also not in the lazarus/components/exctrls folder and they also do not appear in lazarus just because extctrls.pp is there.

I followed this page, downloaded the files and installed them through LPK, and it worked perfectly. I just would like to know how to do it using fpcupdeluxe.

KodeZwerg

  • Hero Member
  • *****
  • Posts: 2269
  • Fifty shades of code.
    • Delphi & FreePascal
Re: Fpcupdeluxe
« Reply #2474 on: April 27, 2024, 12:50:48 pm »
I just would like to know how to do it using fpcupdeluxe.
It is not implemented as a feature like other Packages that are installable over OPM.
So the answer is, you can't.
« Last Edit: Tomorrow at 31:76:97 xm by KodeZwerg »

 

TinyPortal © 2005-2018